EasyMotorStart = {}

function EasyMotorStart.prerequisitesPresent(specializations)
	return true
end

function EasyMotorStart.registerEventListeners(vehicleType)
	SpecializationUtil.registerEventListener(vehicleType, "onPostUpdate", EasyMotorStart)
end

function EasyMotorStart:onPostUpdate(dt, isActiveForInput, isActiveForInputIgnoreSelection, isSelected)
	if not g_currentMission.missionInfo.automaticMotorStartEnabled and g_additionalSettings:getValue("easyMotorStart") then
		if not self:getIsMotorStarted() and self:getCanMotorRun() then
			local accInput = 0

			if self.getAxisForward ~= nil then
				accInput = self:getAxisForward()
			end

			if accInput > 0 then
				self:startMotor(true)
				self.spec_motorized.showTurnOnMotorWarning = false
			end
		end
	end
end